Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QMdiSubWindow.SubWindowOption

    java.lang.Object
      java.lang.Enum<QMdiSubWindow.SubWindowOption>
          com.trolltech.qt.gui.QMdiSubWindow.SubWindowOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QMdiSubWindow.SubWindowOption>

Enclosing class:
  QMdiSubWindow

    public static enum QMdiSubWindow.SubWindowOption

extends java.lang.Enum<QMdiSubWindow.SubWindowOption>
implements QtEnumerator

This enum describes options that customize the behavior of `QMdiSubWindow`.

Enum Constant Summary
`AllowOutsideAreaHorizontally` Internal.
`AllowOutsideAreaVertically` Internal.
`RubberBandMove` If you enable this option, a rubber band control is used to represent the subwindow's outline, and the user moves this instead of the subwindow itself.
`RubberBandResize` If you enable this option, a rubber band control is used to represent the subwindow's outline, and the user resizes this instead of the subwindow itself.

Method Summary
`static QMdiSubWindow.SubWindowOptions` | `createQFlags(QMdiSubWindow.SubWindowOption... values)`
`static QMdiSubWindow.SubWindowOption` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMdiSubWindow.SubWindowOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QMdiSubWindow.SubWindowOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AllowOutsideAreaHorizontally

    public static final QMdiSubWindow.SubWindowOption AllowOutsideAreaHorizontally

  Internal.

### AllowOutsideAreaVertically

    public static final QMdiSubWindow.SubWindowOption AllowOutsideAreaVertically

  Internal.

### RubberBandResize

    public static final QMdiSubWindow.SubWindowOption RubberBandResize

  If you enable this option, a rubber band control is used to represent the subwindow's outline, and the user resizes this instead of the subwindow itself. As a result, the subwindow maintains its original position and size until the resize operation has been completed, at which time it will receive a single `QResizeEvent`. By default, this option is disabled.

### RubberBandMove

    public static final QMdiSubWindow.SubWindowOption RubberBandMove

  If you enable this option, a rubber band control is used to represent the subwindow's outline, and the user moves this instead of the subwindow itself. As a result, the subwindow remains in its original position until the move operation has completed, at which time a `QMoveEvent` is sent to the window. By default, this option is disabled.

Method Detail

### values

    public static final QMdiSubWindow.SubWindowOption[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QMdiSubWindow.SubWindowOption c : QMdiSubWindow.SubWindowOption.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QMdiSubWindow.SubWindowOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QMdiSubWindow.SubWindowOptions createQFlags(QMdiSubWindow.SubWindowOption... values)

### resolve

    public static QMdiSubWindow.SubWindowOption resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD